<?php
/**
 * Příklad update formuláře pomocí AJAXu
 *  
 * Skript ajax-form-update.php nejprve provádí validaci odeslaných dat
 * a následně data zpracuje a předá zprávu volajícímu skriptu    
 *  
 * @author Petr Franěk <franek.petr@seznam.cz>
 * @copyright Copyright (c) 2015, Petr Franěk - www.phpdeveloper.cz
 */


$errors = array();
$data   = array();  //data, která budeme posílat nazpět

   
if (empty($_POST['kod_produktu'])){
   $errors['kod_produktu'] = 'Kód produktu je nutné vyplnit.';
}

if (empty($_POST['nazev_produktu'])){
   $errors['nazev_produktu'] = 'Název produktu je nutné vyplnit.';
}    


if (empty($errors)) 
{
    //zde zpracujeme  $_POST['kod_produktu'] a $_POST['nazev_produktu']
    $output = "Kód produktu: ".$_POST['kod_produktu'].PHP_EOL."Název produktu:".$_POST['nazev_produktu'].PHP_EOL;
    //tzn. například je uložíme do databáze. 
    //Nyní však pro jednoduchost uložíme data do souboru:
    $dataFileHandler = fopen('data.txt', 'a');
    fprintf ($dataFileHandler, "%s", $output);
    
    //potom připravíme zprávu pro skript, který provedl volání této rutiny
    $data['success'] = true;
    $data['message'] = 'Update proběhl úspěšně';
} else {
                                                
    $data['success'] = false;
    $data['errors']  = $errors;
    $data['message'] = 'Při ukládání dat se vyskytly chyby!';
}

echo json_encode($data);

?>